Gem install rails SOLVED


#1

gem install rails
Fetching: concurrent-ruby-1.1.4.gem (100%)
ERROR: While executing gem … (Gem::FilePermissionError)
You don’t have write permissions for the /var/lib/gems/2.5.0 directory.

This is the error I’m getting while working on getting rails on my Linux. Can someone help me please?


#2

Ubuntu installation is a pain in the butt. Did you install the dependencies for both Ruby & Rails?

source: https://gorails.com/setup/ubuntu/16.04

Hopefully that walktrough outined the steps needed to ensure that your rails installation will work. Lemme know if that helps.


#3

Looks like you may have installed ruby or rbenv using sudo. This is going to cause you a lot of problems.

What’s the output of echo $PATH


#4

/home/deanna/.rbenv/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin


#5

Looking into it now. Thank you.